%global momorel 4
%global qtver 4.6.3
%global qtdir %{_libdir}/qt4
%global projname fwbuilder

Summary: 	Firewall Builder API
Name:           libfwbuilder
Version:        4.0.2
Release:        %{momorel}m%{?dist}
License: 	GPLv2
Group:  	System Environment/Libraries
Url: 		http://www.fwbuilder.org/
Source0:        http://dl.sourceforge.net/project/%{projname}/Current_Packages/%{version}/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  net-snmp-devel >= 5.5
BuildRequires:  openssl-devel
BuildRequires:  qt-devel

%description 
Firewall Builder 3.0 API library and compiler framework

%package devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Libraries
Requires:  %{name} = %{version}
# Provides:  %name-devel = %version

%description devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%prep 
%setup -q

%build
./autogen.sh --with-qmake=qmake-qt4

%configure --with-qmake=qmake-qt4
make all %{?_smp_mflags}

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make INSTALL_ROOT="%{buildroot}/" install
# prevent including docs twice
rm -rf %{buildroot}/%{_datadir}/doc/%{name}-%{version}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/INSTALL doc/README doc/PatchAcceptancePolicy.txt
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/*
%{_bindir}/libfwbuilder-config-4
%{_libdir}/libfwbuilder.so.*
%{_libdir}/libfwcompiler.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/fwb-4
%{_includedir}/fwb-4/fwbuilder
%{_includedir}/fwb-4/fwcompiler
%{_libdir}/*.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.2-4m)
- full rebuild for mo7 release

* Fri Jul 30 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.2-3m)
- update source

* Sat Jul 10 2010 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.0.2-2m)
- update source

* Fri Jul  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-2m)
- rebuild against qt-4.6.3-1m

* Fri Jun  4 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1

* Wed May  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-2m)
- source archive was replced, update sources

* Wed Mar 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-1m)
- update to 4.0.0

* Tue Mar  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0.7-3m)
- rebuild against net-snmp-5.5

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0.7-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0.7-1m)
- [SECURITY] CVE-2009-4664
- update to 3.0.7

* Sun Sep  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.6-1m)
- update to 3.0.6

* Sat Aug  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.5-2m)
- source was changed

* Thu Jun 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0.5-1m)
- Initial build for Momonga Linux
